%global srcname google-auth-httplib2

Summary:        An httplib2 transport for google-auth
Name:           google-auth-httplib2
Version:        0.2.0
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://github.com/googleapis/google-auth-library-python-httplib2
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description 
httplib has lots of problems such as lack of threadsafety and insecure usage
of TLS. Using it is highly discouraged. This library is intended to help
existing users of oauth2client migrate to google-auth.

%package -n python3-%{srcname}
Summary:        An httplib2 transport for google-auth
BuildRequires:  python3-devel pyproject-rpm-macros

%description -n python3-%{srcname}
Written by Google, this library provides a small, flexible, and powerful 
Python 3 client library for accessing Google APIs.

%prep
%autosetup -n google-auth-library-python-httplib2-%{version}
%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files google_auth_httplib2

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE 
%doc README.rst

%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 0.2.0-1
- Upgrade to version 0.2.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Miaojun Dong <zoedong@tencent.com> - 0.1.0-1
- initial build
